Subject: Re: [RFC PATCH 07/10] Break out scoreboard a little better

From: Junio C Hamano <[email-masked]>
Date: Fri, 05 May 2017 10:52:49 -0700

Jeff Smith <[email-masked]> writes:

This blank space is for you to explain what you mean by "a little
better".  What makes the result better?

It seems to do too many things in a single patch.  For example, I
guess it may be a good idea that you made various knobs like
"show_root" encapsulated in the scoreboard; that change can and
should be on its own single step.  It is unclear what the pupose of
blame-sort-final thing is, but even if that change were a good idea
(I am not saying I think it is a bad idea; I am saying I do not see
sufficient explanation to judge its goodness), it is a change that
is unrelated to moving "show_root" and friends into the scoreboard,
hence should be a separate patch.